/* Pointer env. global variables */

#define WB3_M4  WHITE_M4
#define BR3_M4  BLACK_M4
#define WG3_M4  WHITE_M4

#define  lit_move    0
#define  lit_can     1
#define  lit_start   2
#define  lit_pause   3
#define  lit_stop    4

struct WM_wstat ws =  /* window status area */
{
   NULL,                  /* *wwork               point back to work def */
   NULL,                  /* *wdef                this was wdef */
   0,                     /* chid                 chan ID enclosing pointer */
   0,0,0,                 /* swnr, xpos, ypos     sub-window and ptr posn */
   0,0,                   /* kstk, kprs           key stroke and press */
   0,                     /* evnt                 event vector */
   0,0,0,0,               /* xsiz, ysiz, xorg, yorg  */
   0,0,                   /* ptpsx, ptpsy         pointer position (abs) */
   0,0,0,                 /* wmode, 2 spare       window mode and spare */

   NULL,                  /* *ciact               current item "action" */
   -1,                    /* citem                current item */
   0,0,0,                 /* cibrw, cipap, cispr  current item attr */
   0,0,0,0,               /* cihxs,ys, cihxo,yo   current item hit area */
                          /* litem[40]            loose item status */
   {0,0,0,WSI_UNAV,WSI_UNAV}
};


#define ninfw    2       /* number of information windows */
#define nlitm    5       /* number of loose items */

QD_TEXTI (title,"QProf                 V1.0");
QD_TEXTI (ESC,"ESC");
QD_TEXTI (RECORD,"RECORD");
QD_TEXTI (STOP,"STOP");
QD_TEXTI (PAUSE,"PAUSE");

struct WM_info info[2] =   /* information objects */
{
 {156,10,                 /* xsize, ysize         size */
  4,1,                   /* xorg, yorg           and origin */
  TYP_TEXT,0,            /* type, spare          item type */
  {BLACK_M4,0,0},        /* ink, cwid, chgt      character attributes */
  &title}                /* *pobj                pointer to object */
 ,
 {-1}
};

struct WM_infw infw[ninfw+1] =  /* information window */
{
 {164,11,                /* xsize, ysize       size */
  20,1,                  /* xorg, yorg           and origin */
  0,                     /* flag                 no clear + shadow */
  0,0,RED_M4,            /* borw, borc, papr     border width/clr, paper */
  info}                  /* *pobj                pointer to object list */
  ,
 {200,60,                /* xsize, ysize         size */
  4,14,                  /* xorg, yorg     and origin */
  0,                     /* flag                 no clear + shadow */
  1,WHITE_M4,BLACK_M4,   /* borw, borc, papr     border width/clr, paper */
  NULL}                  /* *pobj                pointer to object list */
  ,
 {-1}                    /* end of array */
};

struct WM_litm litm[nlitm+1] =   /* loose item */
{
 {16,10,                 /* xsize, ysize         size */
  2,2,                   /* xorg, yorg           and origin */
  0,0,                   /* xjst, yjst           justification */
  TYP_SPRITE,K_MOVE,     /* type, skey           type and select key */
  &wm_sprite_move,       /* *pobj                pointer to object */
  lit_move,              /* item                 item number */
  &amove}                /* *pact                pointer to action */
  ,
 {18,10,                 /* xsize, ysize         size */
  186,2,                 /* xorg, yorg           and origin */
  0,0,                   /* xjst, yjst           justification */
  TYP_TEXT,K_CANCEL,     /* type, skey           type and select key */
  &ESC,                  /* *pobj                pointer to object */
  lit_can,               /* item                 item number */
  &aexit}                /* *pact                pointer to action */
  ,
 {64,10,                 /* xsize, ysize         size */
  4,78,                  /* xorg, yorg           and origin */
  0,0,                   /* xjst, yjst           justification */
  TYP_TEXT-1,'R',        /* type, skey           type and select key */
  &RECORD,               /* *pobj                pointer to object */
  lit_start,             /* item                 item number */
  &astart}               /* *pact                pointer to action */
  ,
 {64,10,                 /* xsize, ysize         size */
  72,78,                 /* xorg, yorg           and origin */
  0,0,                   /* xjst, yjst           justification */
  TYP_TEXT-1,'P',        /* type, skey           type and select key */
  &PAUSE,                /* *pobj                pointer to object */
  lit_pause,             /* item                 item number */
  &apause}               /* *pact                pointer to action */
  ,
 {64,10,                 /* xsize, ysize         size */
  140,78,                /* xorg, yorg           and origin */
  0,0,                   /* xjst, yjst           justification */
  TYP_TEXT-1,'S',        /* type, skey           type and select key */
  &STOP,                 /* *pobj                pointer to object */
  lit_stop,              /* item                 item number */
  &astop}                /* *pact                pointer to action */
  ,
 {-1}                    /* end of array */
};

struct WM_wwork ww = /* window working definition */
{
  &ws,                   /* *wstat;              pointer to status area */
  NULL,                  /* *wscale              this was pointer to WDEF */
  0,                     /* chid                 channel ID */
  NULL,                  /* *pprec               pointer to pointer record */
  0,                     /* psave                pointer position saved */
  0,0,0,0,               /* 4 zero */
  0,                     /* *splst               pointer to sprite list */

  208,90,                /* xsize, ysize         size */
  0,0,                   /* xorg, yorg           and origin */
  2,                     /* flag                 clear + shadow */
  1,WHITE_M4,BR3_M4,     /* borw, borc, papr     border width/clr, paper */
  NULL,                  /* *sprite              pointer to sprite */

  1,WG3_M4,              /* curw, curc           current item width/clr */

  BLACK_M4,WB3_M4,NULL,NULL,        /* uback, uink, *ublob, *upatt  unavail */
  BLACK_M4,WHITE_M4,NULL,NULL,    /* aback, aink, *ablob, *apatt  avail */
  GREEN_M4,RED_M4,NULL,NULL,      /* sback, sink, *sblob, *spatt  selected */

  NULL,                  /* *help */

  ninfw,1,infw,      /* ninfo, ninob, *pinfo info winds */
  nlitm,litm,            /* nlitm, *plitm        loose items */
  0,0                    /* nappl  *pappl        appl winds */
};
